OpenNMS API 1.2.9

## org.opennms.core.queue
Interface InputFifoQueueListener

public interface InputFifoQueueListener

This interface is implemented by objects that need to be notified when a new element is added to a queue. The notification method is invoked aftet the element is added to the queue, the exact semantics of which are defined by the queue.

This is most often used to notify a class that an empty queue has new elements that need to be processed. This allows the object to perform other potentially useful work while waiting on new queue elements.

Author:
  Brian Weaver , OpenNMS

Method Summary
`void` `onQueueInput(NotifiableInputFifoQueue queue)` This method is invoked by a queue implementation when a new element is added its queue.

Method Detail

### onQueueInput

    public void onQueueInput(NotifiableInputFifoQueue queue)

  This method is invoked by a queue implementation when a new element is added its queue. The exact instance when the method is invoked is dependent upon the implementation.

  Parameters:
    `queue` - The queue where the element was added.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.